Update one identity by UID.
curl --request PUT \
--url https://api.edges.run/v1/identities/{identity_uid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"timezone": "Europe/Paris",
"name": "John Doe"
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({timezone: 'Europe/Paris', name: 'John Doe'})
};
fetch('https://api.edges.run/v1/identities/{identity_uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/identities/{identity_uid}"
payload = {
"timezone": "Europe/Paris",
"name": "John Doe"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"uid": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2023-10-01T12:00:00Z",
"workspace_uid": "5678e456-e89b-12d3-a456-426614174001",
"name": "John Doe",
"type": "standard",
"timezone": "Europe/Paris",
"is_active": "false",
"integrations": []
}{
"message": "This project does not allow identity management via the API. Please enable it in the project settings.",
"error_label": "UPDATE_ONE_IDENTITY_400_BAD_REQUEST"
}{
"message": "Identity management via the API is not permitted for the current workspace.",
"error_label": "UPDATE_ONE_IDENTITY_403_FORBIDDEN",
"params": {
"details": "To manage identities via the API, enable this feature in the workspace settings under the 'Developers' section of the platform."
}
}{
"message": "Identity not found",
"error_label": "IDENTITY_404_NOT_FOUND",
"params": {
"details": "Could not find Identity that has uid=5678e456-e89b-12d3-a456-426614174001"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Identities
Update an Identity
Update an identity’s name or timezone.
PUT
/
identities
/
{identity_uid}
Update one identity by UID.
curl --request PUT \
--url https://api.edges.run/v1/identities/{identity_uid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"timezone": "Europe/Paris",
"name": "John Doe"
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({timezone: 'Europe/Paris', name: 'John Doe'})
};
fetch('https://api.edges.run/v1/identities/{identity_uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/identities/{identity_uid}"
payload = {
"timezone": "Europe/Paris",
"name": "John Doe"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"uid": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2023-10-01T12:00:00Z",
"workspace_uid": "5678e456-e89b-12d3-a456-426614174001",
"name": "John Doe",
"type": "standard",
"timezone": "Europe/Paris",
"is_active": "false",
"integrations": []
}{
"message": "This project does not allow identity management via the API. Please enable it in the project settings.",
"error_label": "UPDATE_ONE_IDENTITY_400_BAD_REQUEST"
}{
"message": "Identity management via the API is not permitted for the current workspace.",
"error_label": "UPDATE_ONE_IDENTITY_403_FORBIDDEN",
"params": {
"details": "To manage identities via the API, enable this feature in the workspace settings under the 'Developers' section of the platform."
}
}{
"message": "Identity not found",
"error_label": "IDENTITY_404_NOT_FOUND",
"params": {
"details": "Could not find Identity that has uid=5678e456-e89b-12d3-a456-426614174001"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Update an identity’s name and timezone. You can modify these fields at any time after creation.
Identity type cannot be changed: The
type field (standard or engagement) is set during creation and cannot be modified via the update endpoint. If you need to change an identity’s type, you must:- Delete the existing identity using the Delete an Identity endpoint
- Create a new identity with the desired type using the Create an Identity endpoint
Before deleting an identity to change its type, make sure to:
- Note any connected integrations (you’ll need to reconnect them to the new identity)
- Consider the impact on any scheduled actions or workflows
- Be aware that deleting an engagement identity may affect your monthly billing cycle
Authorizations
API key required for authentication. Add your API key in the X-API-Key header.
Path Parameters
Body
application/json

